# Aggregated OSGi Repository

Tag | osgi-agg
Handle latest | yes
Handle publish | no

since 2.4 This resolver is one of the resolver which supports OSGi™ dependencies.
This resolvers is like a classic chain resolver, but which better support OSGi metadata.

# Attributes

This resolver shares the common attributes of composite resolvers.

# Elements

As sub element, this resolver accept any kind of OSGi resolver: obr, updatesite, or any other `osgi-agg`.

# Examples

    <updatesite name="ivyde-updatesite" url="http://www.apache.org/dist/ant/ivyde/updatesite" />
    <obr name="felix-repo" repoXmlURL="http://felix.apache.org/obr/releases.xml" />
    <osgi-agg name="all-osgi">
        <resolver ref="ivyde-updatesite" />
        <resolver ref="felix-repo" />
    </osgi-agg>

An aggregated OSGi reporsory composed of the Apache IvyDE Eclipse update site and the Felix OBR.